<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:07 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>G-Index</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Negocio/AdminClass.html#getAdminNow--">getAdminNow()</a></span> - Method in class Negocio.<a href="../Negocio/AdminClass.html" title="class in Negocio">AdminClass</a></dt>
<dd>
<div class="block">Devuelve el administrador actual</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserClass.html#getApellidos--">getApellidos()</a></span> - Method in class Negocio.<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/BookProcess.html#getBook-java.lang.String-">getBook(String)</a></span> - Method in class Negocio.<a href="../Negocio/BookProcess.html" title="class in Negocio">BookProcess</a></dt>
<dd>
<div class="block">Recuperacion de un libro determinado de la biblioteca<br></div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/BookClass.html#getCarnetUsuario--">getCarnetUsuario()</a></span> - Method in class Negocio.<a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserClass.html#getDireccion--">getDireccion()</a></span> - Method in class Negocio.<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/BookClass.html#getEditorial--">getEditorial()</a></span> - Method in class Negocio.<a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserClass.html#getEmail--">getEmail()</a></span> - Method in class Negocio.<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/PrestamosProcess.html#getFechaActual--">getFechaActual()</a></span> - Method in class Negocio.<a href="../Negocio/PrestamosProcess.html" title="class in Negocio">PrestamosProcess</a></dt>
<dd>
<div class="block">Obtencion de Objeto Date.sql<br>
 
 Metodo que devolvera un objeto de la clase Date.sql</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#getFechaDevolucion--">getFechaDevolucion()</a></span> - Method in class Negocio.<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#getFechaSalida--">getFechaSalida()</a></span> - Method in class Negocio.<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#getId--">getId()</a></span> - Method in class Negocio.<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/BookClass.html#getIsbn--">getIsbn()</a></span> - Method in class Negocio.<a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#getIsbn--">getIsbn()</a></span> - Method in class Negocio.<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/PrestamoClass.html#getnCarnet--">getnCarnet()</a></span> - Method in class Negocio.<a href="../Negocio/PrestamoClass.html" title="class in Negocio">PrestamoClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserClass.html#getNombre--">getNombre()</a></span> - Method in class Negocio.<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserClass.html#getNumCarnet--">getNumCarnet()</a></span> - Method in class Negocio.<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getObjectBook-java.lang.String-">getObjectBook(String)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Obtencion de un libro de la base de datos<br>

 Metodo con el que se obtendra un objeto con los datos del libro
 solicitado, correspondiente al numero ISBN introducido como parametro</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getObjectPrestamo-java.lang.String-java.lang.String-">getObjectPrestamo(String, String)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Obtencion de un Objeto de la clase PrestamoClass<br>
 Se obtendra un objeto con los parametros suficientes para la busqueda de
 la referencia a actualizar y en este caso se trata de devolver un libro
 por lo que se necesita el num id de la fila de la tabla.</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getObjectUser-java.lang.String-">getObjectUser(String)</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Obtencion de un usuario de BBDD<br>

 Metodo con el que se obtendra un objeto con los datos del usuario
 solicitado</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserClass.html#getPassword--">getPassword()</a></span> - Method in class Negocio.<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/AdminClass.html#getPasswordNow--">getPasswordNow()</a></span> - Method in class Negocio.<a href="../Negocio/AdminClass.html" title="class in Negocio">AdminClass</a></dt>
<dd>
<div class="block">Devuelve el password actual</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getRowExampleInsertLibros--">getRowExampleInsertLibros()</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Metodo que contiene la instruccion SQL de insertar datos de ejemplo</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getRowExampleInsertPrestamos--">getRowExampleInsertPrestamos()</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Metodo que contiene la instruccion SQL de insertar datos de ejemplo</div>
</dd>
<dt><span class="memberNameLink"><a href="../DAO/ClaseBBDD.html#getRowExampleInsertUsuarios--">getRowExampleInsertUsuarios()</a></span> - Method in class DAO.<a href="../DAO/ClaseBBDD.html" title="class in DAO">ClaseBBDD</a></dt>
<dd>
<div class="block">Metodo que contiene la instruccion SQL de insertar datos de ejemplo</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/BookClass.html#getTitulo--">getTitulo()</a></span> - Method in class Negocio.<a href="../Negocio/BookClass.html" title="class in Negocio">BookClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserClass.html#getTlf--">getTlf()</a></span> - Method in class Negocio.<a href="../Negocio/UserClass.html" title="class in Negocio">UserClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserProcess.html#getUser-java.lang.String-">getUser(String)</a></span> - Method in class Negocio.<a href="../Negocio/UserProcess.html" title="class in Negocio">UserProcess</a></dt>
<dd>
<div class="block">Obtencion de un usuario en concreto<br>

 Metodo para recuperar un objeto de la clase UserClass, este objeto estara
 servido desde DAO, desde la clase ClaseBBDD</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
